import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { AirswapContractFactory, StakingV2 } from '../contracts';
export declare class EthereumAirswapSAstV3TokenFetcher extends AppTokenTemplatePositionFetcher<StakingV2> {
    protected readonly appToolkit: IAppToolkit;
    private readonly contractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: AirswapContractFactory);
    getContract(address: string): StakingV2;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<StakingV2>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare(): Promise<number[]>;
    getLabel(): Promise<string>;
}
